CMS Tool API

CMS Tool API schema

Public API version 1.4.10.

Enquiries

A message is created for every contact us, enquiry form, or custom form.

Endpoint URL

https://api.cms-tool.net/api/message

/api/message

Read and update form submissions and enquiries.

GET

List records, or retrieve one by appending its ID to the path.

Query parameters

NameTypeExampleNotes
idint123Filter results by id.
pageint123Filter results by page.
mbr_idint123Filter results by mbr id.
postedAfterdate2026-09-24T14:30:00+12:00Filter results by posted after.
postedBeforedate2026-09-24T14:30:00+12:00Filter results by posted before.
offsetint123Skip this many matching records before returning results.
pageSizeint123Limit the number of records returned.

POST

Create or update a record from a JSON object.

Request content type: application/json

Request body fields

NameTypeExampleNotes
idint123Set the id value.
pageint123Set the page value.
submittertextexampleSet the submitter value.
subjecttextexampleSet the subject value.
bodytextexampleSet the body value.
from_nametextexampleSet the from name value.
from_phonetextexampleSet the from phone value.
re_pidint123Set the re pid value.
re_eventidint123Set the re eventid value.

Data definitions

FieldTypeDescriptionFormatExample
submittertextEMail address of the sender
closed_datetimestampIf the merchant has received and dealt with the message, they can mark it as closed by setting this date2025-12-31 23:59:59
from_phonetextPhone number of enquirer
subjecttextSubject of the message
msgidserialUnique serial ID for the message123456
posted_by_mbr_idintThe ID of the user / customer who made this enquiry
closed_by_mbr_idintThe staff member who considered this enquiry was closed.
from_nametextContact Name of the sender
bodytextContent of the message
msg_utm_jsonjsonutmSource,utmMedium,utmCampaign
notifywheninstockboolShould the user be contacted automatically once the product is back in stock?
from_iptextIP Address of the sender
re_eventidintIf regarding an event, then the Event ID else 0
submittedtimestampThe date the enquiry was initially made2025-12-31 23:59:59
enquirystatustextStatus of the enquiry if using the CRM to manage enquiries
repliedontimestampThe time that that the webmaster replied to this message, not the date of this message.2025-12-31 23:59:59
re_info_idintIf regarding a blog, then the Blog ID else 0
recipienttextTo which email address was it sent, usually the merchant address, but could be different
re_bookingidintIf regarding a booking, then the booking ID else 0
pageintWhich page was most relevant to this message, often the contact us page or home page if none other123456
re_pidintIf regarding a product, then the product ID else 0, eg for product enquiries
msg_other_data_jsonjsonAdditional answers to custom questions and form data will be stored here
re_listing_idintIf regarding a directory listing, then the listing ID else 0
msg_net_scoreintNet Promo Score

Usage instructions and examples

Create a new Message Post

To create a new message use POST method and do not provide any Message Id.
Provide the mbr_id if known or member email address as mbr_from. 

Example if mbr_id is known:

{

"mbr_id" : 12345,

"from_name": "Example Name",

"subject": "Subject of the post",

"body": "Example post body",

"page": 123

}

Example if mbr_id not known:

{

"submitter" : "example@email.com",

"from_name": "Example Name",

"subject": "Subject of the post",

"body": "Example post body",

"page": 123

}

Sample object

        {
            "submitter": "testemail@test.co.nz",
            "from_phone": "021123123",
            "subject": "Make a Booking 2021-12-14 15:00:00",
            "mbr_id": 1234,
            "msgid": 1413,
            "posted_by_mbr_id": 1234,
            "closed_by_mbr_id": 0,
            "from_name": "John",
            "body": "No comment was provided with booking ID:123",
            "msg_debug": " ",
            "re_eventid": 0,
            "submitted": "2021-12-13 13:43:52.0",
            "re_info_id": 0,
            "re_bookingid": 123,
            "id": 1413,
            "page": 2222,
            "re_pid": 1234,
            "re_listing_id": 0,
            "msg_net_score": 0,
            "cid": 1234
        }

Machine-readable documentation

This documentation is also available as JSON or Markdown at the same URL. Request JSON with Accept: application/json or Markdown with Accept: text/markdown.